#!/bin/sh

MOD_PHP5_DIR=/usr/lib/apache2

# Backup files
install -d -m 755 /var/adm/ibm-db2/
install -p /etc/apache2/mime.types /var/adm/ibm-db2/mime.types
install -p /etc/apache2/mod_mime-defaults.conf /var/adm/ibm-db2/mod_mime-defaults.conf
install -p /etc/php5/apache2/php.ini /var/adm/ibm-db2/php.ini.apache2 
install -p /etc/php5/cli/php.ini /var/adm/ibm-db2/php.ini.cli 
install -p /etc/init.d/apache2 /var/adm/ibm-db2/apache2 

# Edit the mime.types apache2 file
if [ `grep aspx /etc/apache2/mime.types | wc -l` -eq 0 ]; then
	echo "application/x-aspx aspx" >> /etc/apache2/mime.types
	sort /etc/apache2/mime.types > /etc/apache2/mime.types.temp
	mv /etc/apache2/mime.types.temp /etc/apache2/mime.types
fi  

# Edit the mod_mime-defaults.conf file
count=0
if [ `grep "^AddType application" /etc/apache2/mod_mime-defaults.conf | wc -l` -ne 0 ]; then
	while read line
	do
		echo $line >> /etc/apache2/mod_mime-defaults.conf.temp
		if [ `echo "$line" | grep -c '^AddType application'` -ne 0 ] && [ $count -eq 0 ]
		then
			echo "AddType application/x-httpd .php .phtml" >> /etc/apache2/mod_mime-defaults.conf.temp 
			count=1
		fi
	done < /etc/apache2/mod_mime-defaults.conf 
	mv /etc/apache2/mod_mime-defaults.conf.temp /etc/apache2/mod_mime-defaults.conf
fi

# Edit the php.ini file in /etc/php5/apache2 and /etc/php5/cli
if [ -f /etc/php5/cli/php.ini ]; then
	echo "extension=ibm_db2.so" >> /etc/php5/cli/php.ini 
fi

if [ -f /etc/php/apache2/php.ini ]; then
        echo "extension=ibm_db2.so" >> /etc/php5/apache2/php.ini
fi

# Edit the /etc/init.d/apache2 file
#count=0
#while read line
#do
#	echo $line >> /etc/init.d/apache2
#	if [ `echo "$line" | grep -c 'Starting'` -ne 0 ] && [ $count -eq 0 ]
#	then
#		echo "" >> /etc/init.d/apache2
#		count=1
#	fi
#done < /etc/init.d/apache2
 

# Change file permission of php5 module
if [ -f ${MOD_PHP5_DIR}/mod_php5.so ] ; 
then
        chmod 755 ${MOD_PHP5_DIR}/mod_php5.so;
fi

# Restart apache
/etc/init.d/apache2 restart
